body {
    font-family: "Cabin", sans-serif;
    font-size: 16px; 
    background-color: #efeef1;
    margin: 0;
    padding: 0 !important;
}

#home {
    background-color: #fff;
}

#button {
    color: #6504b5;
}

.font-uppercase {
    text-transform: uppercase;
}

.text-centered {
    text-align: center;
}

.margin-bottom {
    margin-top: 90px;
    margin-bottom: 30px;
}

.margin-top {
    margin-top: 30px;
    margin-bottom: 30px;
}

.float-right {
    float: right;
}

.red {
    color: red;
}

.gray {
    color: #4d4751;
}

.white {
    color:white;
}

.purple {
    color: #6504b5;
}

/* Style for header */

.hamburger-button {
    color: #410078;
    float: right;
    font-size: 25px;
    padding: 15px;
}


.navbar {
    margin-bottom: 0;
    border:none;
}

.custom-navbar {
    height: 65px;
    color: #4d4751;
}

.custom-navbar > li > a,
.custom-navbar > li > button > a {
    color: #4d4751;
    margin-top: 0 !important;
    margin-bottom: 0 !important;
    height: 100%;
} 

.custom-navbar > li > a:hover,
.custom-navbar > li > button > a:hover {
    background-color: transparent;
    color: #6504b5;
}

.nav-icon {
    margin-left: 10px;
    margin-right: 10px;
}

.navbar-brand,
.navbar-brand:hover {
    color: #6504b5;
    padding:18px;
    font-family: "Patrick Hand", cursive;
    font-weight: bold;
    font-size: 25px;
}

.icon-bar {
    background-color: #6504b5;
    height: 4px !important;
}
.btn-li {
    height: 100%;
}

.max-height{
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding:5px;
}

.btn-search {
    background-color: transparent;
    outline: none;
    padding: 0 15px 0 15px;
    height: 100%;
    border:none;
    border-right: 1px solid grey;
}

#user_avatar {
    color: #6504b5 ;
    font-weight: bold;
    padding: 23px;
}

.reverse-color{
    background-color: #410078 !important;
    color: white !important;
}

#user_links {
    display: none;
    background-color: #410078;
    color: white;
    padding: 20px 20px;
    border-radius: 0 0 10px 10px;
    position: absolute;
    left:0;
    right: 0;
    z-index: 500;
    border: 1px solid #410078;
}

.user-links-holder > li {
    margin-top: 10px;
    margin-bottom: 10px;
}

.user-links-holder > li > a {
    color: white;
    cursor: pointer;
}



/* Style for hidden navbar */

.navbar-dropdown{
    position: absolute;
    top:65px;
    left: 0;
    right: 0;
}

.navbar-dropdown.show {
    width: 100%;
    border: none;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 55px;
    left: 0;
    right: 0;
    margin-bottom: 0;
    position: absolute;
    z-index: 10;
}


.navbar-dropdown.show > ul{
    text-align: center;
}

.button .navbar-dropdown:hover ,
.button .navbar-dropdown:focus {
    background-color: transparent !important;
    outline: none !important;
} 

.navbar-collapsed-list {
    background-color: #6504b5;
}

.navbar-list {
    width: 100%;
    height: 55px;
    display: flex;
    justify-content: space-around;
    align-items: center;
    background-color: #6504b5;   
    margin: 0;
    border: none;
    position: absolute;
    z-index: 15;
}

.navbar-list > li > a,
.navbar-collapsed-list > li > a {
    color: #ecd7fd;
    text-decoration: none;
    font-size: 16px;
    background-color: #6504b5; 
}
.navbar-list > li > a:hover,
.navbar-list > li > a:focus,
.navbar-list > li > a:active,
.navbar-collapsed-list > li > a:hover,
.navbar-collapsed-list > li > a:focus,
.navbar-collapsed-list > li > a:active {
    color: white;
     background-color: #6504b5; 
}



/* Style for cover */

.cover {
    background-image: url('https://d17fnq9dkz9hgj.cloudfront.net/uploads/2017/06/why-are-dogs-scared-of-firework-header.jpg');
    background-size: cover;
    background-position: center;
}

.cover-text {
    width: 100%;
    height: 50vh;
    margin-bottom: 50px;
    color: white;
    text-align: center;
    display:flex;
    align-items: center;
    justify-content: center;
}

.cover-inner-body > .h1 {
    font-size: 45px;
}

.cover-inner-body > .p {
    margin-bottom: 20px;
}

.btn-clear {
    background-color: transparent;
    border: 2px solid white;
    border-radius: 23px;
    padding: 11px 30px;
    font-size: 14px;
    text-transform: uppercase;
    color: white;
    font-weight: bold;
}

.btn-clear:hover {
    color: #6504b5;
    background-color: white;
}

/* Style for Find a pet menu */


.pull-up-menu {
    position: absolute;
    margin-top: -50px;
    left: 5%;
    right: 5%;
    background-color: #6504b5;
    color: white;
    height: 100px;
    border-radius: 10px;
    border: none;
}

.localization {
    background-color: #2e0152;
    border-radius: 10px 0 0 10px;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.localization::after { 
    content: "";
    position: absolute;
    display: block;
    z-index: 10;
    top: 0;
    left: 100%;
    border-left: 20px solid #2e0152;
    border-top: 50px solid transparent;
    border-bottom: 50px solid transparent;
}

.find-a-pet{
    background-color: #6504b5;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
}

.find-a-pet:focus,
.find-a-pet:hover {
    background-color: #410078;
    cursor: pointer;
    color: white;
}

.searchable {
    background-color: #410078;
    border-radius: 0 10px 10px 0;
}

.searchable:focus,
.searchable:hover {
    background-color: #2e0152;
    cursor: pointer;
}

.custom-input {
    border: none;
    background-color: #2e0152;
    font-size: 16px;
    color: white;
    text-align: left;
    margin-left: 20px;
    width: 100%;
} 

.custom-input::placeholder{
    font-size: 16px;
    color: #ecd7fd;
}

.custom-input:hover {
    outline: none;
    cursor: text;
} 

.pet-drawing-image {
    width: 50px;
    height: 50px;
    margin-right: 10px;
}

.findAPetMenu-buttonIcon > svg {
    width: 100%;
    height: 100%;
    fill: white;
}

/* Style for home page cards */

.pet-card-border {
    margin-top: 50px;
}

.pet-card-container {
    margin-left: 2.5%;
    margin-right: 2.5%;
}

.pet-card-element {
    height: 360px;
}

.pet-card {
    position: relative;
    height: 360px;
    cursor: pointer;
    border-radius: 10px;
    overflow: hidden;
}

.petFirstLayer {
    display: block;
    overflow: hidden;
}

.petSecondLayer {
    display: none;
    overflow: hidden;
}

.white-bg {
    background-color: white;
    color: #6504b5;
    box-shadow: 0 1px 4px rgba(0,0,0,.1);
}

.purple-bg {
    background-color: #6504b5;
    color:white;
}

.media {  
    border-radius: 10px 10px 0 0;
    height: 300px;
    width: 100%;
    text-align: center;
}

.media-image {
    position: absolute;
    border-radius: 10px 10px 0 0;
    z-index: 1;
    height: 300px;
    width: 100%;
    overflow:hidden;
    display: flex;
    justify-content: center;
}

.media-image > .card-image {
    width: auto;
    height: 300px;
}
 
.petSecondLayer .media >.media-image {
    position: relative;
    margin: 30px auto;
    border-radius: 50%;
    height: 180px;
    width: 60%;
}

.petSecondLayer  > .white-circle {
    position: absolute;
    right:50px;
    top:50px;
    z-index: 30;
 } 

 .icon-share-close {
    background-color: white;
    color: #6504b5;
    border-radius: 50%;
    padding: 10px;
    font-size: 20px;
    box-shadow: 0 1px 4px 1px rgba(77,71,81,.2);
}

.icon-share-close:hover {
    color: white;
    background-color: #6504b5;
}

.click-share > .fa-times {
    padding: 10px 13px;
    margin:0;
    font-size: 20px;
    color: white;
    background-color: #410078;
}


.click-share > .fa-times:hover {
    background-color: #2e0152;
}

.petSecondLayer .media >.media-image > .card-image {
    height: 180px;
} 

.white-clip {
    position: absolute;
    z-index: 5;
    background-color: white;
    height: 300px;
    width: 100%;
    -webkit-clip-path: ellipse(50% 5% at 50% 100%);
    clip-path: ellipse(50% 5% at 50% 100%);
}

.petFirstLayer .card-caption {
    height: 30px;
}

.card-caption {
    border-radius: 0 0 10px 10px;
    width: 100%;
    position: absolute;
    bottom: 15px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.card-caption > .pet-name,
.card-caption > .second-layer-pet-name,
.card-caption > .share-pet-name{
    font-size: 20px;
    font-weight: bold;
}

.petSecondLayer .card-caption > .pet-details{
    color: #2e0152;
    text-align: center;
}

.share-pet-name,
.shareList {
    display: none;
}

.shareList > li {
    padding-left: 2px;
    padding-right: 2px;
}

.shareList .fab,
.shareList .fas {
    border:1px solid white;
    border-radius: 50%;
    padding: 6px;
    font-size: 14px;
    margin-top: 10px;
    margin-bottom: 15px;
    
}

.shareList .fab:hover,
.shareList .fas:hover {
    background-color:#410078;
}

.shareList .fa-facebook-f {
    padding: 6px 9px;
}

.purple-card {
    color: white;
    background-color: #6504b5;
    border-radius: 10px;
}

.purple-media {
    border-radius: 10px 10px 0 0;
    height: 300px;
    width: 100%;
    display:flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.purple-caption {
    border-radius: 0 0 10px 10px;
    height: 60px;
    width: 100%;
    border-top: 1px solid #2e0152;
    display:flex;
    align-items: center;
    justify-content: center;
}

.purple-card:hover .purple-caption{
    background-color: #410078;
}

.btn-text {
    font-size: 15px;
    text-transform: uppercase;
    font-weight: bold;
}

.paw-image {
    width: 100px;
    height: 100px;
    margin-bottom: 30px;
}

.icon > svg {
    fill: white;
    height: 100%;
    width: 100%;
}

/* Style for Learn more */

#myCarousel{
    background-color: white;
    height: auto;
    display:flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
}
.cover2 {
    width: 100%;
    height: 600px;
}

.learn-more-heading {
    margin: 50px 0;
}

.learn-more-card {
    text-align: center;
}
.blue-image {
    width: 120px;
    height: 120px;
    margin: 0 auto;
}

.blue-image > img {
    width: 100%;
    height: 100%;
}

.learn-more-caption-lg {
    margin-top:20px;
    color:#004c81;
    font-size: 22px;
}

.btn-blue {
    margin-top: 30px;
    margin-bottom: 50px;
    border-color: #20ccf8;
    color: #004c81;
    padding: 11px 50px;
    cursor: pointer;

}

.btn-blue:hover {
    color:white;
    background-color: #20ccf8;
    cursor: pointer;
}

.white-bg-1 {
    margin-top: 40px;
    background-color: white;
}

.white-bg {
    background-color: white;
    padding-bottom: 50px;
}

/* Style for Edit profile and Add a pet */

.item-link {
    margin-bottom: 40px;
    padding: 0 20px 13px;
    cursor: pointer;
    font-size: 18px;
    font-weight: 400;
    line-height: 1.6;
    color: #4d4751;
    text-decoration: none !important;
    text-transform: none;
}

.item-link:active,
.item-link:focus,
.item-link:hover {
    border-bottom: 2px solid #410078;
    color: #410078;
}

.item-link.active {
    border-bottom: 2px solid #410078;
    color: #410078;
}

.separator {
    height: 1px;
    width: 100%;
    background-color: #d2d1d3;
    margin-bottom: 20px;
}

/* Style for footer */

footer {
    width: 100%;
    height: 100vh;
    position: fixed;
    bottom: 0;
    background-color: black;
    color:white;
    transition: bottom 0.0.3s ease-in-out;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 500;
}

.nav-down{
    bottom: -100vh;
    background-color: black;
    color:white;
}


.footer-left,
.footer-right {
    display: flex;
    align-items: center;
    justify-content: center;
}
.footer-text {
    font-size: 35px;
    font-weight: bold;
}

.footer-right > .footer-small {
    font-size: 25px;
}
.footer-link {
    text-decoration: none;
    color: #004c81;
    cursor: pointer;
}

.footer-link:hover,
.footer-link:focus,
.footer-link:active {
    text-decoration: none;
    color: #004c81;
}

.footer-logo {
    position: absolute;
    top:20px;
    left: 20px;
    width: 90px;
    height: 80px;
}

.footer-logo > a > img {
    width: 100%;
    height: 100%;
}

.footer-close {
    position: absolute;
    top:30px;
    right: 30px;
}

.footer-icon {
    color: red;
    font-size: 35px;
}



/* Style for add a pet */

.add-a-pet-body {
    background-color: white;
    margin: 30px;
    border-radius: 10px;
}

.add-a-pet-body > .card {
    padding: 20px;
    border-radius: 10px;
}

.add-a-pet-title {
    color:#6504b5;
    line-height: 1.2;
    display: block;
    text-transform: capitalize;
}

.inputfile {
    width: 0.1px;
    height: 0.1px;
    opacity: 0;
    overflow: hidden;
    position: absolute;
    z-index: -1;
}

#filelabel {
    cursor: pointer; 
    font-weight: 100;
}

.InputAddPet {
	width: 100%;
	padding: 2%;
	border-radius: 10px;
	margin-top: 3%;
	border: 1px solid #d2d1d3;
	font-size: 15px;
    line-height: normal;
    
}
 .InputAddPet:hover {
	border-color: #6504b5;
	transition: border-color .15s;   
}

/* Style for add a pet form */

.login-input-list {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0;
}

.checkboxes { 
    width: 1.3em;
    height: 1.3em;
    background-color: white;
    border-radius: 50%;
    vertical-align: middle;
    border: 1px solid #d2d1d3;
    -webkit-appearance: none;
    -moz-appearance: none;
    outline: none;
    cursor: pointer;
    margin-left: 10px !important;
    margin-right: 5px !important;
    margin-top: -3px !important;
    
 }

 .checkboxes:hover {
    border: 2px solid #6504b5;
 }
 
 .checkboxes:checked {
 	border: 2px solid #6504b5;
    background-color: #6504b5;
    outline: none;
    -moz-user-focus: ignore;
    -webkit-user-focus: ignore;
    box-shadow: none;
}

.checkboxes:focus,
.checkboxes:active {
    outline: none;
    -moz-user-focus: ignore;
    box-shadow: none;
}


/* Style for navbar_modal */

body .modal-open{
    padding-right: 0!important;
    margin: 0;
    overflow: hidden;
    display: table;
    table-layout: fixed;
    width: 100%;
    height: 100%;
}

.modal-backdrop.in{
    background-color: #2e0152;
    opacity: 1!important;
}

.mobileMenu {
    min-height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    overflow-x: hidden;
    background: #410078;
    -webkit-box-shadow: 0 0 0 50vh #410078;
    box-shadow: 0 0 0 50vh #410078;
    z-index: 6;
}


.mobileMenu-root-header {
    -webkit-box-orient: horizontal;
    -webkit-box-direction: reverse;
    -ms-flex-direction: row-reverse;
    flex-direction: row-reverse;
}

.mobileMenu-header, .mobileMenu-root-header, .mobileMenu-sub-header {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    background: #2e0152;
    height: 60px;
}

.pfdc-hello-bar {
    display: block;
}

.mobileMenu-root-item:not(:last-child) {
    margin-bottom: 34px;
}

/* End of Navbar_modal */

/* dropzone styles */


.page-heading {
    margin: 20px 0;
    -webkit-font-smoothing: antialiased;
    letter-spacing: 0.05em;
    font-weight: bold;
}
 
#my-dropzone .message {
    font-weight: 600;
    color: #6504b5;
    font-size: 1.5em;
    letter-spacing: 0.05em;
}
 
.dropzone {
    border: 1px solid #d2d1d3;
    background: white;
    border-radius: 10px;
    min-height: 150px;
    vertical-align: baseline;
    margin-bottom: 10px;
}

.dropzone:hover,
.dropzone:active,
.dropzone:focus {
    border-color: #6504b5;
}

.dz-max-files-reached {
    pointer-events: none;
    cursor: default;
}

/* Style for pets blade*/

/* Filter pets */


.filter-cards-container {
    width: 100%;
    height: 80px;
    background-color: #7700B6;
}

.filter-cards-list-holder{
    background-color: #410078;
    height: 100%;
    width: auto;
    float: right;
}

.filter-cards-list{
    height: 100%;
    list-style: none;
    display: inline-block;
    margin-bottom: 0;
}

.filter-form{
    padding: 12px;
    margin: 15px 20px;
    border: 2px solid #6504b5;
    border-radius: 10px;
    background-color: #410078;
    color: #fff;
    pointer-events: none;
    position: relative;
    float: right;
}

.filter-span {
    float: right;
    display: none;
}

.filter-form-close {
    content: "";
    position: absolute;
    top: -8px;
    right: -13px;
    padding: 5px 7px;
    border: 2px solid #6504b5;
    border-radius: 15px;
    background-color: #410078;
    cursor: pointer;
    pointer-events: auto;
}

.filter-submit {
    background-color: #6504b5;
    border-radius: 23px;
    border: 2px solid #6504b5;
    padding: 11px;
    font-size: 14px;
    text-transform: uppercase;
    color: white;
    font-weight: bold;
    width: 100%;
    margin-top:40px;
}

/* Pet Details */

/* Pet-carousel */
/* override position and transform in 3.3.x */

.carousel2 > .carousel-inner {
    background: black;
}

.carousel2 > .carousel-inner .item .col-md-4 {
    padding: 0;
}

.carousel2 > .carousel-control{
    width: 33.3333%;
    background-color: rgba(1,1,1,0.7);
}

.carousel2 > .carousel-control .glyphicon-chevron-left{
    left: 50px;
}

.carousel2 > .carousel-control .glyphicon-chevron-right{
    right: 50px;
}

.carousel2 > .carousel-inner .item.left.active {
    transform: translateX(-33.33%);
    -webkit-transition: transform 0.3s; /* Safari */
    transition: transform 0.3s;
    transition-timing-function: ease-in;
    
}
.carousel2 > .carousel-inner .item.right.active {
    transform: translateX(33.33%);
    -webkit-transition: transform 0.3s; /* Safari */
    transition: transform 0.3s;
    transition-timing-function: ease-in;
}
  
.carousel2 > .carousel-inner .item.next {
    transform: translateX(33.33%);
    -webkit-transition: transform 0.3s; /* Safari */
    transition: transform 0.3s;
    transition-timing-function: ease-in;
}

.carousel2 > .carousel-inner .item.prev {
    transform: translateX(-33.33%);  
    -webkit-transition: transform 0.3s; /* Safari */
    transition: transform 0.3s;  
    transition-timing-function: ease-in;
}
  
.carousel2 > .carousel-inner .item.right,
.carousel2 > .carousel-inner .item.left { 
    transform: translateX(0);
    -webkit-transition: transform 0.3s; /* Safari */
    transition: transform 0.3s;
    transition-timing-function: ease-in;
    
}
  
.carousel2 > .carousel-control.left,

.carousel2 >.carousel-control.right {
    background-image:none;
}

.carousel2>.carousel-indicators{
    bottom: -50px;
}

.carousel2>.carousel-indicators>li{
    display: inline-block;
    width: 12px;
    height: 12px;
    margin: 0 10px;
    text-indent: -999px;
    cursor: pointer;
    border: 1px solid rgba(77,71,81,.2);
    border-radius: 10px;
    background-color: rgba(77,71,81,.2);
    box-shadow: 0 1px 3px rgba(77,71,81,.2);
}

.carousel2>.carousel-indicators>.active {
    background-color: #410078;
    border: 1px solid #410078;
    width: 12px;
    height: 12px;
    margin: 0 10px;
}


/* Pet Info style */
.petInfo {
	background-color: #ffffff;
    border-radius: 10px;
    position: relative;
    clear: both;
}

.margin-top-2{
    margin-top: 40px;
}

.backgroundPetInfo {
    background-color: #f2f2f2;
    margin-top: 55px;
}

.AskAboutPet {
	background-color: #6504b5; 
	border-radius: 10px;
	position: -webkit-sticky;
    position: sticky;
    top: 25px;
    padding: 0;
}
.askBtn{
    width: 90%;
    margin-top:25px;
    margin-bottom:25px;
    padding: 11px 30px;    
	border: 2px solid #ffffff;
    border-radius: 23px;
    background-color: #ffffff;
    color:#6504b5;
    font-weight: bold;
    font-size: 14px;
    text-transform: uppercase;
}
.askBtn:hover,
.askBtn:active,
.askBtn:focus {
    background-color: #6504b5;
    color:white;
}

.sharePrint {
	color: #ffffff;
    padding-top: 5%;
    padding-bottom: 5%;
    text-transform: uppercase;
}

.sharePrint > .fas {
    font-size: 20px;
    margin-right: 10px;
}
.share {
    border-top: 1px solid black;
    border-right: 1px solid black;
}

.share:hover {
    background-color: #410078;
    border-bottom-left-radius: 10px;
    cursor: pointer;
}
.print {
   border-top: 1px solid black;
}

.print:hover {
    background-color: #410078;
    border-bottom-right-radius: 10px;
    cursor: pointer;
}

.AskForm {
    position: relative;
	background-color: #6504b5;
	margin-top:40px ;
    color: #ffffff;
    clear: both;
}
.roundImage img {
    position: relative;
    margin: 20px 20px 20px 0;
    border-radius: 50%;
    height: 120px;
    width: 120px;
    border: 3px solid white;
}

.mailHeader {
    display: flex;
    align-items: center;
}

.mailHeading {
    margin-left: 20px;
}

.mailH2 {
    font-size: 30px;
    text-transform: capitalize;
    font-weight: lighter;
}
.line {
	background-color: #bfbfbf;
	height: 1px;
}

.line-purple {
    background-color: #6504b5;;
	height: 1px;
}



.row-container-margin {
    margin-left: 6.33333333%;
    margin-right: 6.33333333%;
}

.mail-content-div {
    margin-bottom: 50px;
}




/* Style for email */


.email-container {
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.mail-style-div {
    background-color: #6504b5;
    color: #ffffff;
    border-radius: 10px;
    height: auto;
    width: 60vw;
}

.mail-heading {
    margin-left: 50px;
    margin-right: 50px;
    margin-bottom: 15px;
}

.split-mail{
    height: 5px;
    background-color: #efeef1;
}

.mail-body {
    margin-top: 15px;
    margin-left: 50px;
    margin-right: 50px;
}


/* Style for login and register */

#Login_Div{
    width: 100%;
    height: 100%;
    background-color: #2e0152;
}

.login {
    background-color: #6504b5;
    border-color: #6504b5;
    overflow: hidden;
    margin:5vh auto;
    min-height: 90vh;
    border-radius: none;
}

.login-bd {
    background-color: #fff;
}

.login-content {
    position: relative;
    width: 100%;
    min-height: 100vh;
    margin: auto;
    padding: 0;
    border: none;
}


.pfdc-login-form {
    display: block;
}
.u-textCenter {
    text-align: center!important;
}

.login-bd-inner, .login-ft-inner {
    max-width: 400px;
    margin: 0 auto;
    padding: 40px 20px;
}

.bulletList {
    margin-left: 0;
}

.bulletList > li {
    margin-top: 20px;
    margin-bottom: 20px;
    font-size: 15px;
    line-height: 1.6;
}

.bulletList > li:first-of-type {
    margin-top: 30px;
}

.login-ft-inner {
    color: white;
}

#Registration_Div {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #2e0152;
    min-height: 100vh;
}

.card {
    border-top: 1px solid #d2d1d3;
    border-bottom: 1px solid #d2d1d3;
    background-color: #fff;
}

.card-section {
    padding: 40px 30px;
}

.icon-close{
    font-size: 35px;
    margin: 20px;
    color: #6504b5;
    opacity: 1;
    float: right;
}

.close,
.close:hover,
.close:active,
.close:focus{
    opacity: 1;
    outline:none;
    box-shadow: none;
}

.login-input-textarea {
    width: 100%;
    height: auto;
    padding: 20px 20px 8px;
    border: 1px solid #d2d1d3;
	border-radius: 5px;
	font-size: 15px;
    line-height: normal;
    margin-top:10px;
    margin-bottom:10px;
}

.login-input {
    width: 100%;
    height: 55px;
    padding: 20px 20px 8px;
    border: 1px solid #d2d1d3;
	border-radius: 5px;
	font-size: 15px;
    line-height: normal;
    margin-top:10px;
    margin-bottom:10px;
    -moz-appearance:none;
    -webkit-appearance: none;
}

.login-input:hover,
.login-input:active,
.login-input:focus,
.login-input-textarea:hover,
.login-input-textarea:active,
.login-input-textarea:focus {
    border-color: #6504b5;
	transition: border-color .15s; 
    outline: none;
    box-shadow: none;
}

.login-input.is-invalid,
.login-input-textarea.is-invalid {
    border-color: red;
}

.login-input:focus::-webkit-input-placeholder {
    font-size: .75em;
    position: relative;
    top: -15px; 
    transition: 0.3s ease-out;
}

.login-input::-webkit-input-placeholder {
    transition: 0.3s ease-in;
}


.login-register-btn {
    background-color: #6504b5;
    border-radius: 23px;
    border: 2px solid #6504b5;
    padding: 11px 30px;
    font-size: 14px;
    text-transform: uppercase;
    color: white;
    font-weight: bold;
    width: 100%;
    margin-top:25px;
    margin-bottom:25px;
}

.purple-link:hover,
.purple-link:active,
.purple-link:focus {
    color:#2e0152;
}

.gray-line {
    color:gray;
    width: 100%;
    height: 1px;
    margin-top:20px;
    margin-bottom:20px;
} 

.u-vr10x {
    margin-bottom: 30px;
}

.t-vr5x {
    margin-top: 25px;
}

.t-vr10x {
    padding-top: 50px;
}

.u-vr5x {
    margin-bottom: 25px;
}


@media print, screen and (min-width: 770px) {


    .logout-dropdown-wrapper{
        right: -50px;
    }

    .login > * {
        width: 50%;
    }
    
    #Login_Div{
        display: flex;
        align-items: center;
        justify-content: center;
        width: 100%;
        height: 100%;
    }

    .login {
        display: flex;
        flex-direction: row;
        border-radius: 10px;
        width: 80vw;
        height: 80vh;
    }

    .login-ft {
        -webkit-box-ordinal-group: 0;
        -ms-flex-order: -1;
        order: -1;
    }

    #Registration_Div > .card{
        max-width: 80vw;
    }


    .login-bd-inner, .login-ft-inner {
        max-width: none;
        margin: 0;
        padding: 60px 60px 60px;
    }

    .add-a-pet-body > .card {
        padding: 20px 60px;
        border-radius: 10px;
    }

    .card {
        border: none;
        border-radius: 10px;
        -webkit-box-shadow: 0 1px 3px rgba(77,71,81,.2);
        box-shadow: 0 1px 3px rgba(77,71,81,.2);
    }

    .card-section {
        padding: 40px 30px;
    }

    .card-section_constrainedPadLg {
        max-width: none;
        margin: 0;
        padding: 60px 40px;
    }

}


/*---------------------- TABLET ------------------------*/
@media print, screen and (max-width: 768px) {

    .login{
        margin: 0;
    }

    .card-section_constrainedPadLg {
        max-width: none;
        margin: 0;
        padding: 40px;
    }

    #Registration_Div > .card {
        width:100%;
        height: auto;
        padding: 40px;
    }

    .hamburger-button{
       margin-top: -10px;
       padding-left: 20%;

    }
    .line {
        height: 65px;
        width: 1px;
        background-color: #333333; 

    }
    .logoTablet {
        padding-top: 20px;
    }

    .max-height{
        padding:10px 20px 0px 10px;
    }

    .pull-up-menu {
        position: relative;
        margin-top: 0;
        left: 0%;
        right: 0%;
    }

    .searchable {
        border-radius: 0;
    }

    .pet-card-border {
        margin-top: 0;
    }

    .cover-text {
        margin-bottom: 0;
    }

    .cover-inner-body > .h1 {
        font-size: 30px;
    }

    footer {
        height: 100vh;
        position: relative;
        transition: none;
        display: block; 
    }

    .nav-down{
        bottom: 0;
    }
    .footer-row{
        padding-top: 12%;
    }

    .footer-text {
        margin-top: 70px;
        font-size: 25px;
    }

    .footer-right > .footer-small {
        font-size: 20px;
    }

    .footer-right {
        justify-content: left;
    }

    .footer-logo {
        width: 70px;
        height: 60px;
    }

    .footer-close, 
    .footer-icon {
        display: none;
    }

     #myCarousel >.carousel-control.left, 
     #myCarousel >.carousel-control.right {
        background-image: none;

    }
     #myCarousel > .carousel-control .icon-prev, 
     #myCarousel > .carousel-control .icon-next, 
     #myCarousel > .carousel-control .glyphicon-chevron-left, 
     #myCarousel > .carousel-control .glyphicon-chevron-right, 
     #myCarousel > .glyphicon-circle-arrow-left {
        display: inline-block;
        position: absolute;
        top: 35%;
        z-index: 5;
        font-size: 25px;
        color: #0d0d0d;
    }
    .btnLearnMoreMobile {
        width: 100%;
        border-top: 1px solid #004c81;
        padding: 5% 0% 5% 0%;
        background-color: transparent;
        margin-top: 10%;
        color: #004c81;
        font-weight: bold;
        cursor: pointer;

    }
    #myCarousel > .carousel-indicators {
    bottom:-50px;
    }
    #myCarousel > .carousel-indicators li {
        background-color:  #333;
    }
    #myCarousel > .carousel-indicators .active {
        background-color: #004c81;
    }
    #myCarousel > .carousel-inner {
        margin-bottom:50px;
    }
    .learn-more-card {
        width: 100%;
    }

    .mobileMenu-root-header{
        background-color: #2e0152;
        height: 60px;
        padding-top: 7%;
        padding-bottom: 7%;

    }
    
    .mobileMenu-root-header i {
        color: white;
    }
    .menuBody {
        padding: 5%;
        background-color:  #6504b5;
    }
    .mobileMenu-root-list {
        list-style: none;
      

    }
    .mobileMenu-sub-item{
        padding-top: 2%;

    }
    .mobileMenu-sub-item-link {
        font-weight: bold;
        font-size: 20px;
        color: white;
    }
    .mobileMenu-sub-item i{
        font-size: 15px;
        color: white;
        margin-left: 5%;
        margin-top: 2%;
    
    }
    .fieldSearch {
        display: block;
        position: relative;
        margin-top: 5%;
    }

    .field-input {
        padding: 3%!important;
        width: 100%;
        background-color: transparent;
        border-color: #2e0152;
        border-top-left-radius: 4px;
        border-bottom-left-radius: 4px;
        border-right: none;
        
    }

    .field-input::placeholder {
        color: white;
        
    }

    .field_icon-btn {
        background: transparent;
        color: white;
        text-decoration: inherit;
        text-align: left;
        cursor: pointer;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        border-top-right-radius: 4px;
        border-bottom-right-radius: 4px;
        position: absolute;
        top: 0;
        right: 0;
        height: 100%;
        width: 60px;
        padding-top: 3px;
        border-color: #2e0152;
        text-align: center;
    }

    .mobilefooterLinks {
        padding: 5%!important;
        background-color: #2e0152;
    }

    .RegisterLink{
        color: white;
        font-weight: bold;
        font-size: 20px;
    }

    .white-bg-1 {
        margin-top: 0px!important;
    }

    .cover2 {
        height: 400px;
    }
   

/*----------------SCROLLING DIVS - RECOMENDATIONS -------------------------*/
    .scrolling-wrapper {
        overflow-x: scroll;
        overflow-y: hidden;
        white-space: nowrap;
        padding: 2% 0% 5% 0%;
    }

    .scrolling-wrapper > .card {
        display: inline-block;
        width: 100%;
        overflow: hidden;
        background-color: white;
        margin-top: 2%;
        margin-left: 2%;
        margin-right: 2%;
        border: none;
        height: 360px;
        padding: 0;
        border-radius: 10px;
    }

    .scrolling-wrapper > .col-md-3 {
        width: 300px;
    }

    .scrolling-wrapper>.purple-card {
        display: inline-block;
        color: white;
        background-color: #6504b5;
        border-radius: 10px;
        margin-top: 2%;
        margin-left: 2%;
        margin-right: 2%;
    }

    .scrolling-wrapper>.purple-media {
        border-radius: 10px 10px 0 0;
        margin-left:2%;
        margin-right:2%;
        height: 300px;
        width: 100%;
        display:flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        text-align: center;
    }

    .scrolling-wrapper>.text-purple-media{
        margin-left:2%;
        margin-right:2%;
    }

    .scrolling-wrapper>.purple-caption {
        border-radius: 0 0 10px 10px;
        height: 60px;
        width: 100%;
        border-top: 1px solid #2e0152;
        display:flex;
        align-items: center;
        justify-content: center;
    }

    .scrolling-wrapper>.purple-card:hover .purple-caption{
        background-color: #410078;
    }


}

/*----------------------MOBILE -------------------------*/


@media print, screen and (max-width: 425px) {

    .hamburger-button{
       margin-top: 0px;
    }
    .margin-top {
        margin-top: 0px;
    }

    .pull-up-menu {
        position: relative;
        margin-top: 0px;
        border-radius: 0px;
    }

    .searchable {
        border-radius: 0px;
    }

    .cover-text {
        height: 300px;
    }

    .h1 {
        font-size: 30px !important;
    }

    .cover-inner-body {
        padding: 0% 1% 5% 1%;
    }
    .marginTopMobile {
        margin-top: 60%;
    }

   .cover2 {
       width: 100%;
       height: 400px;
}
    .white-bg-1 {
        margin-top: 0px;
    }

    footer {
        height: 100vh;
        position: relative;
        transition: none;
        display: block;
    }

    .nav-down{
        bottom: 0vh;
    }
    .footer-row{
        padding-top: 15%;
    }

    .footer-text {
        font-size: 20px;
        font-weight: bold;
    }

    .footer-right > .footer-small {
        font-size: 20px;
    }

    .footer-logo {
        width: 70px;
        height: 60px;
    }

    .footer-icon {
        color: red;
        font-size: 25px;
    }


    .mobileMenu-root-header{
        background-color: #2e0152;
        height: 50px;

    }
    .mobileMenu-root-header i {
        color: white;
    }
    .menuBody {
        padding: 5%;
        background-color:  #6504b5;
    }
    .mobileMenu-root-list {
        list-style: none;
        margin-top: 0%;

    }
    .mobileMenu-sub-item{
        padding-top: 5%;

    }
    .mobileMenu-sub-item-link {
        font-weight: bold;
        font-size: 15px;
        color: white;
    }
    .mobileMenu-sub-item i{
        font-size: 15px;
        color: white;
        margin-left: 5%;
        margin-top: 5%;
    
    }
    .fieldSearch {
        display: block;
        position: relative;
        margin-top: 5%;


    }
    .field-input {
        padding: 6%;
        width: 100%;
        background-color: transparent;
        border-color: #2e0152;
        border-top-left-radius: 4px;
        border-bottom-left-radius: 4px;
        border-right: none;
        
    }
    .field-input::placeholder {
        color: white;
        
    }
    .field_icon-btn {
        background: transparent;
        color: white;
        text-decoration: inherit;
        text-align: left;
        cursor: pointer;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        border-top-right-radius: 4px;
        border-bottom-right-radius: 4px;
        position: absolute;
        top: 0;
        right: 0;
        height: 100%;
        width: 60px;
        padding-top: 3px;
        border-color: #2e0152;
        text-align: center;
    }
    .mobilefooterLinks{
        background-color: #2e0152;
        padding: 10%;
    }
    .RegisterLink {
        color: white;
        
    }
    #myCarousel > .carousel-control.left, 
    #myCarousel > .carousel-control.right {
        background-image: none;

    }
    #myCarousel > .carousel-control .icon-prev, 
    #myCarousel > .carousel-control .icon-next, 
    #myCarousel > .carousel-control .glyphicon-chevron-left, 
    #myCarousel > .carousel-control .glyphicon-chevron-right, 
    #myCarousel > .glyphicon-circle-arrow-left {
        display: inline-block;
        position: absolute;
        top: 35%;
        z-index: 5;
        font-size: 25px;
        color: #0d0d0d;
    }
    .btnLearnMoreMobile {
        width: 100%;
        border-top: 1px solid #004c81;
        padding: 5% 0% 5% 0%;
        background-color: transparent;
        margin-top: 10%;
        color: #004c81;
        font-weight: bold;
        cursor: pointer;

    }
    #myCarousel > .carousel-indicators {
      bottom:-50px;
    }
    #myCarousel > .carousel-indicators li {
        background-color:  #333;
    }
    #myCarousel > .carousel-indicators .active {
      background-color: #004c81;
    }
    #myCarousel > .carousel-inner {
    height: 100%;
       margin-bottom:50px;
    }
   
}



